Skip to main content
SLO & Service Quality/SLO

GetBudgetHistory

Retrieve historical error budget consumption data points for time-series analysis.

GET/api/v1/slo/objectives/{sloId}/error-budget-history

Operation ID

GetBudgetHistory

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • sloId
    StringRequired

    Identifier of the SLO objective to query history for.

Query Parameters

  • granularity
    String

    Time resolution for data points: 1h | 6h | 1d.

  • timeRange
    String

    Time range to query: 7d | 30d | 90d.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Time-ordered list of error budget history data points.

    Example: (nested array)

    • timestamp
      String

      Timestamp for this historical data point.

      Example: 2026-01-15T08:00:00Z

    • consumedPct
      Long

      Error budget consumption percentage at this point in time.

      Example: 42.5

    • burnRate
      Long

      Error budget burn rate at this point in time.

      Example: 1.05